function load_map_015(lvl, load_on_the_fly)

  if not ok_to_regen_random_lua_map(lvl) then return end
  local map=get_map_ptr(lvl)
  dofile("smaps/raw015.txt")    
  map:set_size(vw,vh,true)
  paste_sub_map (vault,lvl,0,0,vw,vh)
  for x=0,map:get_max_x()-1 do
    for y=0,map:get_max_y()-1 do
      map:del_feat(x, y)
      map:destroy_pile(x, y)
    end
  end  
  map:add_feat(0,0,SIGN) 
  map:set_feat_text(0,0,"HOUSE")
  map:add_feat(2,1,SIGN) 
  map:set_feat_text(2,1,"")
  if is_offline() and get_player_ptr~=nil then
    local p=get_player_ptr(0, false)
    map:set_feat_text(2,1,p.name)
  end  
  map:save_map()
  map:save_features()
  map:save_items()  
end
