function add_merchant_inventory(m)

end

function vending_machine_init(m)

  if is_maped() then return; end

  m:set_name("Vending Machine")
  m:set_align(ALIGN_GOOD)
  m.typ=MON_MERCHANT
  m.all_hours_merch=true
  m.treasure=string.byte("X",1)

  local itemlist={0x150,0x151,0x152,0x153,0x147,0x521,0x11c,0x141,0x177,
    0x160,0x161,0x162,0x163,0x164,0x165,0x166,
    0x102,0x104,0x105,0x106,0x107,0x114}

  -- by using a seed based on monster position (unique but not changing) we can get a fixed inventory that
  -- randomises the same way within each game, thus don't have to save inventory somehwere
  local seed=m.x+10*m.y+100*m.map_level
  math.randomseed(seed)

  for n=1,#itemlist do

    if math.random(1,5)==1 then
      local itm=Item(itemlist[n])
      m:give_item(itm, -1, wl:get_price(itm))
    end
  end

  for i=1,5 do
    local itm=wl:get_rand_weapon_armour(15)
    itm=random_enchant(itm, i*3)
    m:give_item(itm, 1, math.random(50,500))
  end

  math.randomseed(os.time())
end
