function do_chest_trap (id,x,y,difficulty)

  -- return the chance (0-100) of there being another trap
  local rc=30
  local plyr=get_player_ptr(id)
  local px,py,pz=get_xyz(id)
  local hp,hpmax,mana,manamax = get_hp_and_mana(id)
  local r=math.random(1,6)

  if(get_health(id,HN_HIDING)~=0) then set_health(id,HN_HIDING,0) end -- remove hiding

  if r==2 then
    if get_health(id, HN_PROTECTION)==0 and int_rand(100)>=plyr:get_resistance(MT_POISON) then set_health(id,HN_POISONED,30) end -- poison
    send_message(id, "Poison!" )
    simple_send_event(id,EVENT_TRAP,0,0,0)
  elseif r==3 then
    set_health(id,HN_BLIND,30) -- blind
    send_message(id, "Blindness!" )
    simple_send_event(id,EVENT_TRAP,0,0,0)
  elseif r==4 then

    send_message(id, "A cloud of noxious gas overcomes you!" )
    if get_health(id, HN_PROTECTION)==0 then set_health(id, HN_CHOKING, 30) end
    simple_send_event(id,EVENT_TRAP,0,0,0)

  else
    -- sends lightning bolt from the player to the chest!
    send_event(pz,id,px,py,EVENT_MAGIC,spells:get_spell_id("zap"),x,y)

    local req_dmg=hp*(45+math.random(50))/100
    r=plyr:get_resistance(MT_LIGHTNING)
    if r~=0 then req_dmg=(100-r)*req_dmg/100 end -- lightning resist
    hurt(id, req_dmg, "a trapped chest")
  end

  return rc
end

