ACHIEVEMENTS={
}

function get_achievement_array(p)

  local meta_a=split_meta(p.meta)
  local aa={}
  if meta_a[2]~='' then
    aa=explode(",", meta_a[2])
    if aa==meta_a[2] then aa={aa} end
  end
  -- convert all strings to numbers
  for i,v in ipairs(aa) do
    aa[i]=v+0
  end
  return aa
end

function achievement_str_to_n(event)
  return 0 -- not found
end

function check_achievement(id, event)

  -- this is what c++ calls and events are hardcoded strings
  -- convert to numbers here
  local n=achievement_str_to_n(event)
  if n==0 then return; end
  save_achievement(id,n)
end

function has_achievement(id, event)

  local p=get_player_ptr(id)
  if p==nil then return 0; end

  -- split achivements into array
  local aa=get_achievement_array(p)
  local n=achievement_str_to_n(event)
  if in_array(n,aa) then return 1; end
  return 0
end

function save_achievement(id, n)

  local p=get_player_ptr(id)
  if p==nil then return end
  local meta_a=split_meta(p.meta)

  -- split achivements into array
  local aa=get_achievement_array(p)

  if not in_array(n, aa) then
    table.insert(aa, n)
    local str = implode(",", aa)
    set_meta(p, meta_a[1], str)

    send_message(id, string.format("%c", 0x9).."You have discovered the egg '"..ACHIEVEMENTS[n].."'!")
    send_message(id, string.format("%c", 0x9).."Type /eggs to list all of your discoveries.")
    -- send_event(p.map_level,p.id,p.x,p.y,EVENT_MAGIC,9)
  end
end

function send_achievements(id)

  local p=get_player_ptr(id)
  local aa=get_achievement_array(p)

  local msg=""

  -- in order of getting them
  for i,n in ipairs(aa) do
    msg=msg..ACHIEVEMENTS[n]
    msg=msg.."\n\n"
  end

  -- in achieve order
  --for n=1,#ACHIEVEMENTS do

  -- if in_array(n, aa) then
  -- msg=msg..ACHIEVEMENTS[n]
  -- msg=msg.."\n"
  -- end
  -- end

  local top="Scars, eggs, chives:\n--------------------\n\n"
  if msg=="" then
    msg=top
  else
    msg=top..msg
    msg=msg.."--------------------\n"
  end
  msg=msg..string.format("%d of %d found.", #aa, #ACHIEVEMENTS)
  send_announcement(id, msg)
end

