-- id is user id
-- tgt is target id - may be -1 for no valid target!
-- alt is 0 for normal use, 1 for forced use-dir (like feeding)
-- itm is full item code, bcode is itm & 0xfff
-- x y z is the location of where the item is pointed at

-- raw summon helper runc
-- do your own fov
function basic_summon(plyr, code, t)

  if plyr.summon_slots>0 then
    send_message(plyr.id,"Failed - not enough slots!")
    return nil
  end

  local m=spawn_near_id(code,plyr.id,true)
  if m==nil then
    send_message(plyr.id,"Failed!")
    return nil
  end

  m.time_alive=t
  m.nosave=true
  m:set_align(ALIGN_GOOD)
  m.owner_id=plyr.id

  plyr.summon_slots=monsters:get_summon_slots_by_code(code)
  simple_send_event(plyr.id,EVENT_MAGIC,0x17,m.x,m.y)
  return m
end

